package aalg.crypto;


public class BlowfishEncryptor extends BlowfishBase implements IBlockCipherTransformation{

	private final Blowfish cipher;
	public BlowfishEncryptor(Blowfish cipher) {
		this.cipher = cipher;
	}

	@Override
	public IBlockCipher getCipher() {
		return cipher;
	}

	@Override
	public void transformBlock(byte[] sourceBlock, int sourceOffset,
			byte[] targetBlock, int targetOffset) {
		
		encryptBlock(sourceBlock, sourceOffset, targetBlock, targetOffset);
		
	}


	
}
